Requisitos del Sistema

EnglishCentral es enteramente basado en la web y no requiere la instalación de ningún software propietario en el computador. Todo lo que necesita es un navegador compatible (véase la lista más abajo) y Adobe Flash Player versión 10 o superior. Puede descargar la última versión aquí.

Le recomendamos que tenga una velocidad de conexión a Internet de por lo menos 1 Mb/s para utilizar EnglishCentral.

EnglishCentral es compatible con los siguientes sistemas operativos y navegadores:

Sistemas Operativos Windows XP, Vista, 7
Macos 10.5 , 10.6
Navegadores Internet Explorer 7.0 o superior
Firefox 4.0 o superior
Safari 5.0 o superior
Privacy Policy | Terms of Use | Copyright © 2014 EnglishCentral, Inc.

}